Bug 138707

Summary: Port update: sysutils/radmind - Fix plist so package creates a working client
Product: Ports & Packages Reporter: mikeg
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.shar none

Description mikeg 2009-09-10 17:40:01 UTC
Update the packing list for sysutils/radmind to create directories required by the radmind client applications (ktcheck, fsdiff).  This update makes the radmind client usable when installed from a package as opposed to from ports.

This patch also updates the @dirrmtry block to remove all directories radmind may create (as a client or server).  Note that the radmind port uses an absolute path for RADMIND_BASE_DIR in the port's Makefile hence the "@cwd /" before the @dirrmtry block.

This patch does not create directories used by the radmind server (these are not created when installed from a port or from source).

shar'd port & diff included.

Fix: Patch below:

==== BEGIN radmind-1.13.0.patch ===
--- /usr/ports/sysutils/radmind/pkg-plist	2007-03-16 08:55:46.000000000 -0400
+++ radmind/pkg-plist	2009-09-10 12:13:04.000000000 -0400
@@ -14,5 +14,21 @@
 %%PORTDOCS%%%%DOCSDIR%%/README
 %%PORTDOCS%%%%DOCSDIR%%/SPEC
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
+@exec mkdir -p -m 755 %%RADMIND_BASE_DIR%%
+@exec mkdir -p -m 755 %%RADMIND_BASE_DIR%%/cert
+@exec mkdir -p -m 755 %%RADMIND_BASE_DIR%%/client
+@exec mkdir -p -m 755 %%RADMIND_BASE_DIR%%/preapply
+@exec mkdir -p -m 755 %%RADMIND_BASE_DIR%%/postapply
+@cwd /
+@dirrmtry %%RADMIND_BASE_DIR%%/transcript
+@dirrmtry %%RADMIND_BASE_DIR%%/tmp/transcript
+@dirrmtry %%RADMIND_BASE_DIR%%/tmp/file
+@dirrmtry %%RADMIND_BASE_DIR%%/tmp
+@dirrmtry %%RADMIND_BASE_DIR%%/special
+@dirrmtry %%RADMIND_BASE_DIR%%/postapply
+@dirrmtry %%RADMIND_BASE_DIR%%/preapply
+@dirrmtry %%RADMIND_BASE_DIR%%/file
+@dirrmtry %%RADMIND_BASE_DIR%%/command
+@dirrmtry %%RADMIND_BASE_DIR%%/client
 @dirrmtry %%RADMIND_BASE_DIR%%/cert
 @dirrmtry %%RADMIND_BASE_DIR%%
==== END radmind-1.13.0.patch ===

Also attached as a .shar 

Patch attached with submission follows:
How-To-Repeat: Install radmind from a package -- /var/radmind/{client,cert,preapply,postapply} will not be created.

Remove/Deinstall the radmind package -- /var/radmind/* will not be properly cleaned up.
Comment 1 Edwin Groothuis freebsd_committer 2009-09-10 17:40:08 UTC
Maintainer of sysutils/radmind,

Please note that PR ports/138707 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/138707

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-09-10 17:40:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Mark Linimon 2009-09-16 02:10:49 UTC
----- Forwarded message from Paul Dlug <paul@aps.org> -----

From: Paul Dlug <paul@aps.org>
To: Michael Graziano <mikeg@bsd-box.net>
Cc: "freebsd-ports-bugs@FreeBSD.org" <freebsd-ports-bugs@FreeBSD.org>,
	"edwin@FreeBSD.org" <edwin@FreeBSD.org>
Subject: Re: ports/138707: Port update: sysutils/radmind - Fix plist so
	package creates a working client

I'm no longer running FreeBSD so not able to maintain this port anymore, if 
you'd like to take over maintenance I would appreciate it.

Thanks,
Paul

----- End forwarded message -----
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2009-09-16 02:28:38 UTC
State Changed
From-To: feedback->open

Maintainer is willing for submitter to become new maintainer. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=138707 

 [later manual note: committed.]
Comment 5 Pav Lucistnik freebsd_committer 2009-09-18 14:28:47 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 6 dfilter service freebsd_committer 2009-09-18 14:35:05 UTC
pav         2009-09-18 13:34:57 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/radmind     Makefile pkg-plist 
  Log:
  - Create empty directories from pkg-plist
  
  PR:             ports/138707
  Submitted by:   Michael Graziano <mikeg@bsd-box.net> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.20      +1 -0      ports/sysutils/radmind/Makefile
  1.7       +16 -0     ports/sysutils/radmind/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"